function allbenchs(varargin)
  p = inputParser; 
  p.addParamValue('d', 2 ); 
  p.addParamValue('nbruns', 1 );
  dmax=6;
  p.addParamValue('n', randi([2,dmax]) );
  p.addParamValue('m', randi([2,dmax]) );
  p.addParamValue('p', randi([2,dmax]) ); 
  p.addParamValue('q', randi([2,dmax]) ); 
  p.parse(varargin{:});
  R=p.Results;
  nbruns=R.nbruns;
  m=R.m;n=R.n;p=R.p;d=R.d;
  LN=10^d*[2:2:10];

  fc_linalg3D.benchs.bench_aXpbY(LN,[m,n],nbruns)
  fc_linalg3D.benchs.bench_cholesky(LN,m,nbruns)
  fc_linalg3D.benchs.bench_det(LN,m,nbruns)
  fc_linalg3D.benchs.bench_det01(LN,m,nbruns)
  fc_linalg3D.benchs.bench_det02(LN,m,nbruns)
  fc_linalg3D.benchs.bench_ebyebinaryop(LN,[m,n],nbruns)
  fc_linalg3D.benchs.bench_PALU(LN,m,nbruns)
  fc_linalg3D.benchs.bench_pLUinplace(LN,m,nbruns)
  fc_linalg3D.benchs.bench_pLU(LN,m,nbruns)
  fc_linalg3D.benchs.bench_linsolve_cholesky(LN,m,nbruns)
  fc_linalg3D.benchs.bench_linsolve_PALU(LN,m,nbruns)
  fc_linalg3D.benchs.bench_linsolve_tril(LN,m,nbruns)
  fc_linalg3D.benchs.bench_linsolve_triu(LN,m,nbruns)
  fc_linalg3D.benchs.bench_mtimes(LN,m,n,p,nbruns)
end
