function bench_det02(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_sympd(varargin{:});

  Lfun={ @(varargin) fc_linalg3D.det.detLaplace_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detLapIdx_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.det_pLUinplace_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detMix_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.det.detMixIdx_Vec(varargin{:})};
  names={'Laplace_Vec','LapIdx_Vec','pLUinplace_Vec','Mix_Vec','MixIdx_Vec'};

  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Comment=['# Computing determinant using fc_linalg3D.det.det* functions\n'];

  fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',5,'error',Error,'comment',Comment,'names',names)
end
