function E=linsolve_error(A,X,B)
  assert(fc_linalg3D.is3Darray(A))
  AX=fc_linalg3D.mtimes_Vec(A,X);
  if fc_linalg3D.is3Darray(AX) || fc_linalg3D.is3Darray(B)
    D=fc_linalg3D.aXpbY_Vec(1,AX,-1,B);
  else
    if length(size(B))==3
      m=size(B,3)
      D=AX-fc_linalg3D.to3Darray(B,N,d,m);
    else
      N=size(A,1);
      if size(B,1)~=N
        D=AX-repmat(B,1,N)';
      else
        D=AX-B;
      end
    end
  end
  E=max(abs(D(:)));
end
