function D=diagprodVec(A)
% D=diagprodVec(A)
% Product of diagonal elements of matrices
% A : N-by-d-by-d, contains N matrices d-by-d.
% D : N-by-1
% D(k) = prod_{i=1}^d A(k,i,i)  
  N=size(A,1);n=size(A,2);
  assert(size(A,3)==n);
  D=ones(N,1); 
  for i=1:n
    D=D.*squeeze(A(:,i,i));
  end
end
